<%
esr.addToken("smUser", session.getAttribute("smUser"));
esr.addToken("smPass", session.getAttribute("smPass"));
esr.setService("hpsmcm");
esr.setDomain("hp_sm_change");
esr.setTimeout(100000);
resps = new ExternalServiceResponse(null, null);
try
{
  resps = esr.send();
}
catch(AlarmPointDatabaseException e)
{
  out.print("<div class=\"msg-error\">Unable to connect to the database</div>");
  return;
}
catch(AlarmPointNetworkException e)
{
  out.print("<div class=\"msg-error\">Network failure</div>");
  return;
}
catch(AlarmPointTimeOutException e)
{
  out.print("<div class=\"msg-error\">Network time out</div>");
  return;
}

if(resps.getResponseCode() == ExternalServiceResponseCode.UNAUTHORIZED)
{
  out.print("<div class=\"msg-error\">Unauthorized</div>");
}
else if(resps.getResponseCode() == ExternalServiceResponseCode.UNDEFINED_SERVICE)
{
  out.print("<div class=\"msg-warning\">Undefined service</div>");
}
else if(resps.getResponseCode() == ExternalServiceResponseCode.INACTIVE_SERVICE)
{
  out.print("<div class=\"msg-warning\">Inactive service</div>");
}
else if(resps.getResponseCode() == ExternalServiceResponseCode.SUSPENDED_SERVICE)
{
  out.print("<div class=\"msg-error\">Suspended service</div>");
}
else if(resps.getResponseCode() == ExternalServiceResponseCode.SERVICE_SHUTDOWN)
{
  out.print("<div class=\"msg-error\">Service shutdwon</div>");
}
else if(resps.getResponseCode() == ExternalServiceResponseCode.NO_AGENT)
{
  out.print("<div class=\"msg-error\">No agent</div>");
}
else if(resps.getResponseCode() == ExternalServiceResponseCode.FAILOVER)
{
  out.print("<div class=\"msg-error\">Failover</div>");
}
else if(resps.getResponseCode() == ExternalServiceResponseCode.ERROR)
{
  out.print("<div class=\"msg-error\">Error</div>");
}
if(resps.getResponse() == null && resps.getResponseCode() != ExternalServiceResponseCode.SUCCESSFUL)
  resps = new ExternalServiceResponse("Unknown Server Error", resps.getResponseCode());
%>
