<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.view.MobileGatewayUser"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponse"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponseCode"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceRequest"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointDatabaseException"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointNetworkException"%>
<%@ page import="com.invoqsystems.apex.web.exceptions.AlarmPointTimeOutException"%>
<%@ page import="com.alarmpoint.servicemanager.cm.*"%>

<%@ include file="includes/mobilegatewaysession.jsp"%>
<%@ include file="configuration.jsp"%>

<%
if(request.getParameter("newChange") == null)
{
  ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
  ExternalServiceResponse resps;
  esr.setAction("getChange");
  esr.addToken("ChangeID", request.getParameter("ChangeID"));
  %>
  <%@ include file="includes/sendRequest.jsp"%>
  <%
  ServiceManagerChange change;
  if(resps.getResponse() == null)
  {
    session.setAttribute("change", null);
    %>
    <jsp:forward page="<%=response.encodeURL("updateChange.jsp?errorMessage="+"Error Loading Change")%>"/>
    <%
  }
  else if(resps.getResponse() instanceof String)
  {
    session.setAttribute("change", null);
    %>
    <jsp:forward page="<%=response.encodeURL("updateChange.jsp?errorMessage="+(String)resps.getResponse())%>"/>
    <%
  }
  else
  {
    change = (ServiceManagerChange)resps.getResponse();
    %>
    <%@ include file="includes/initialize.jsp"%>
    <%
    session.setAttribute("change", change);
    %>
    <jsp:forward page="<%=response.encodeURL("updateChange.jsp")%>"/>
    <%
  }
}
else
{
  ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
  ExternalServiceResponse resps;

  ServiceManagerChange change = new ServiceManagerChange();
  %>
  <%@ include file="includes/initialize.jsp"%>
  <%
  session.setAttribute("change", change);
  %>
  <jsp:forward page="<%=response.encodeURL("createChange.jsp")%>"/>
  <%
}
%>


