<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.view.MobileGatewayUser"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponse"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponseCode"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceRequest"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointDatabaseException"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointNetworkException"%>
<%@ page import="com.invoqsystems.apex.web.exceptions.AlarmPointTimeOutException"%>
<%@ page import="com.alarmpoint.servicemanager.cm.*"%>

<%@ include file="includes/mobilegatewaysession.jsp"%>

<%
//Get the updated change from the session
ServiceManagerChange updatedChange = (ServiceManagerChange)session.getAttribute("change");
String changeID = updatedChange.getTextValue("header,ChangeID");

if(request.getParameter("cancelUpdate") != null)
{
  String status = "&message=Update Canceled";
  %>
  <jsp:forward page="<%=response.encodeURL("loadChange.jsp?ChangeID="+changeID+status)%>"/>
  <%
}

//Retrieve the possibly updated change from ServiceManager
ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
ExternalServiceResponse resps;
esr.setAction("getChange");
esr.addToken("ChangeID", changeID);
%>
<%@ include file="includes/sendRequest.jsp"%>
<%
if(resps.getResponse() == null)
{
  String status = "&errorMessage="+"Unable to update change";
  %>
  <jsp:forward page="<%=response.encodeURL("updateChange.jsp?"+status)%>"/>
  <%
}
else if(resps.getResponse() instanceof String)
{
  String status = "&errorMessage="+resps.getResponse();
  %>
  <jsp:forward page="<%=response.encodeURL("updateChange.jsp?"+status)%>"/>
  <%
}
ServiceManagerChange oldChange = (ServiceManagerChange)resps.getResponse();
%>
<%@ include file="includes/initializeOldChange.jsp"%>
<%
boolean hasConflict = false;
if(request.getParameter("forceUpdate") == null)
{
  %>
  <%@ include file="includes/diff.jsp"%>
  <%
}
if(!hasConflict){
  esr = mobileGatewaySession.createExternalServiceRequest();
  esr.setAction("saveChange");
  esr.addToken("changeID", changeID);
  esr.addToken("change", updatedChange);
  %>
  <%@ include file="includes/sendRequest.jsp"%>
  <%
  String status = (String)resps.getResponse();
  if(status == null)
  {
    status = "&message=OK";
    %>
    <jsp:forward page="<%=response.encodeURL("loadChange.jsp?ChangeID="+changeID+status)%>"/>
    <%
  }
  else
  {
    String tab = "";
    if(status.startsWith("Please provide an update"))
      tab = "&tab=add_activity";
    status = "&errorMessage="+status;
    %>
    <jsp:forward page="<%=response.encodeURL("updateChange.jsp?"+status+tab)%>"/>
    <%
  }
}
%>
