<%
//Note: These fields must be specified in the same order as in the wsdl and must have the correct default value specified.
Map<String, Object> newFields = new LinkedHashMap<String, Object>();
newFields.put("ChangeID", "");
newFields.put("Category", "");
newFields.put("Status", "");
newFields.put("ApprovalStatus", "");
newFields.put("InitialtedBy", "");
newFields.put("AssignmentGroup", "");
newFields.put("Phase", "");
newFields.put("RiskAssessment", "");
newFields.put("Priority", "");
newFields.put("DateEntered", "");
newFields.put("Open", "");
newFields.put("Company", "");
newFields.put("Title","");
newFields.put("Subcategory","");
newFields.put("ChangeDescription", new ArrayList<String>());
newFields.put("ConfigurationItem","");
newFields.put("Location","");
newFields.put("Assets", new ArrayList<String>());
newFields.put("ClosureCode","");
newFields.put("Urgency", "");
newFields.put("Impact","");
newFields.put("Service","");
newFields.put("RequestedEndDate","");
change.addFields(newFields);

//Add all the possible list values to the change
%>
<%@include file="loadLists.jsp"%>
<%

//Add the values for the IMTicketStatus field
change.addList("IMTicketStatus", Arrays.asList(new String[]{
  "Open",
  "Pending other",
  "Work in progress",
  "Reject",
  "Resolved",
  "Pending vendor",
  "Closed",
  "Pending customer",
  "Referred",
  "Replaced Problem",
  "Suspended"}));

change.addList("ResolutionFixType", Arrays.asList(new String[]{
  "permanent",
  "temporary"}));

change.addList("ClosureCode", (Collection)listValues.get("ClosureCode"));

//Add the value and display values for the Severity field
Map<String, String> urgency = new LinkedHashMap<String, String>();
urgency.put("1", "1 - Critical");
urgency.put("2", "2 - High");
urgency.put("3", "3 - Average");
urgency.put("4", "4 - Low");
change.addList("Urgency", urgency);

//Add the value and display values for the InitialImpact field
Map<String, String> impact = new LinkedHashMap<String, String>();
impact.put("1", "1 - Enterprise");
impact.put("2", "2 - Site/Dept");
impact.put("3", "3 - Multi Users");
impact.put("4", "4 - User");
change.addList("Impact", impact);

//Add the value and display values for the Severity field
Map<String, String> userPriority = new LinkedHashMap<String, String>();
userPriority.put("1", "1 - Critical");
userPriority.put("2", "2 - High");
userPriority.put("3", "3 - Average");
userPriority.put("4", "4 - Low");
change.addList("header,Priority", userPriority);

//Add the value and display values for the Severity field
Map<String, String> riskAssessment = new LinkedHashMap<String, String>();
riskAssessment.put("0", "0 - No Risk");
riskAssessment.put("1", "1 - Low Risk");
riskAssessment.put("2", "2 - Some Risk");
riskAssessment.put("3", "3 - Moderate Risk");
riskAssessment.put("4", "4 - High Risk");
riskAssessment.put("5", "5 - Very High Risk");
change.addList("header,RiskAssessment", riskAssessment);
%>
