<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<script type="text/javascript" language="JavaScript">

// counts on the list being sorted 
function removeDuplicates( listBox )
{
  var lastItemValue = "";
  for( var i=(listBox.options.length-1); i >=0; i-- )
  {
    var item = listBox.options[i];
    if( lastItemValue == item.value )
    {
      listBox.options[i] = null;
    }
    lastItemValue = item.value; 
  }
}

function setAllSelected( selectBox )
{
  for ( var i = 0; i &lt; selectBox.options.length; i++ )
  {
    selectBox.options[i].selected = true;
  }
}

function doPrePostActions()
{
  var selectedBox = document.getElementById( "items" );

  setAllSelected( selectedBox );
}

function setSelectionOptions(source, target)
{
  // clear the left list
  removeAllOptions(target);
  // copy from source to left list
  copySelectedOptions(source, target);
}

function removeAllOptions(from)
{
  for (var i=(from.options.length-1); i>=0; i--)
  {
    from.options[i] = null;
  }
  from.selectedIndex = -1;
}

function add()
{
  selectedItems = document.getElementById( "items" );
  unselectedItems = document.getElementById( "items.unselected" );
  moveSelectedOptions( unselectedItems, selectedItems );
  removeDuplicates( selectedItems );
  removeDuplicates( unselectedItems );
}

function remove()
{
  selectedItems = document.getElementById( "items" );
  unselectedItems = document.getElementById( "items.unselected" );
  moveSelectedOptions( selectedItems, unselectedItems );
  removeDuplicates( selectedItems );
  removeDuplicates( unselectedItems );
}
  


</script>